package com.ruoyi.project.patrol.fire.service.impl;

import com.ruoyi.project.patrol.fire.domain.TFireAlarm;
import com.ruoyi.project.patrol.fire.mapper.TFireAlarmMapper;
import com.ruoyi.project.patrol.fire.service.ITFireAlarmService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 现场可燃气体检测器/火灾报警系统Service业务层处理
 * 
 * @author admin
 * @date 2023-11-01
 */
@Service
public class TFireAlarmServiceImpl implements ITFireAlarmService
{
    @Autowired
    private TFireAlarmMapper tFireAlarmMapper;

    /**
     * 查询现场可燃气体检测器/火灾报警系统
     * 
     * @param id 现场可燃气体检测器/火灾报警系统主键
     * @return 现场可燃气体检测器/火灾报警系统
     */
    @Override
    public TFireAlarm selectTFireAlarmById(Long id)
    {
        return tFireAlarmMapper.selectTFireAlarmById(id);
    }

    /**
     * 查询现场可燃气体检测器/火灾报警系统列表
     * 
     * @param tFireAlarm 现场可燃气体检测器/火灾报警系统
     * @return 现场可燃气体检测器/火灾报警系统
     */
    @Override
    public List<TFireAlarm> selectTFireAlarmList(TFireAlarm tFireAlarm)
    {
        return tFireAlarmMapper.selectTFireAlarmList(tFireAlarm);
    }

    /**
     * 新增现场可燃气体检测器/火灾报警系统
     * 
     * @param tFireAlarm 现场可燃气体检测器/火灾报警系统
     * @return 结果
     */
    @Override
    public int insertTFireAlarm(TFireAlarm tFireAlarm)
    {
        return tFireAlarmMapper.insertTFireAlarm(tFireAlarm);
    }

    /**
     * 修改现场可燃气体检测器/火灾报警系统
     * 
     * @param tFireAlarm 现场可燃气体检测器/火灾报警系统
     * @return 结果
     */
    @Override
    public int updateTFireAlarm(TFireAlarm tFireAlarm)
    {
        return tFireAlarmMapper.updateTFireAlarm(tFireAlarm);
    }

    /**
     * 批量删除现场可燃气体检测器/火灾报警系统
     * 
     * @param ids 需要删除的现场可燃气体检测器/火灾报警系统主键
     * @return 结果
     */
    @Override
    public int deleteTFireAlarmByIds(Long[] ids)
    {
        return tFireAlarmMapper.deleteTFireAlarmByIds(ids);
    }

    /**
     * 删除现场可燃气体检测器/火灾报警系统信息
     * 
     * @param id 现场可燃气体检测器/火灾报警系统主键
     * @return 结果
     */
    @Override
    public int deleteTFireAlarmById(Long id)
    {
        return tFireAlarmMapper.deleteTFireAlarmById(id);
    }
}
